﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class word_wordsubmit : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void AceoffixCtrl1_Load(object sender, EventArgs e)
    {
        Aceoffix.Word.WordResponse wres = new Aceoffix.Word.WordResponse();
        wres.OpenDataRegion("EmployeeName").NeedSubmit = true;
        wres.OpenDataRegion("EmployeeNumber").NeedSubmit = true;
        wres.OpenDataRegion("Department").NeedSubmit = true;
        wres.OpenDataRegion("Manager").NeedSubmit = true;

        wres.OpenDataRegion("FromDate").Value = DateTime.Now.AddDays(2).ToLongDateString();
        wres.OpenDataRegion("FromDate").NeedSubmit = true;
        wres.OpenDataRegion("ToDate").Value = DateTime.Now.AddDays(2).ToLongDateString();
        wres.OpenDataRegion("ToDate").NeedSubmit = true;

        wres.OpenDataRegion("Reason").NeedSubmit = true;

        AceoffixCtrl1.Caption = "Word document used as an input form.";
        AceoffixCtrl1.ServerPage = "../aceoffix-runtime/server.aspx";

        // Create custom toolbar
        AceoffixCtrl1.AddCustomToolButton("Save", "SaveDocument()", 1);
        AceoffixCtrl1.AddCustomToolButton("-", "", 0);
        AceoffixCtrl1.AddCustomToolButton("Print", "ShowPrintDlg()", 6);
        AceoffixCtrl1.AddCustomToolButton("-", "", 0);
        AceoffixCtrl1.AddCustomToolButton("Switch Full-screen", "SwitchFullScreen()", 4);

        AceoffixCtrl1.Bind(wres);
        AceoffixCtrl1.SaveDataPage = "saveworddata.aspx";
        AceoffixCtrl1.OpenDocument("../doc/doc-submit.doc", Aceoffix.OpenModeType.docSubmitForm, "John Scott"); 
    }
}
